server {
    listen       80;
    server_name  localhost;
    client_max_body_size 200m;
    client_body_buffer_size 20m;
    gzip_static on;

    location / {
        root   /usr/share/nginx/html;
        index  index.html index.htm;
        try_files $uri $uri/ /tool-tech/index.html;
        if ($request_filename ~* .*\.(?:htm|html)$)
        {
            add_header Cache-Control "no-cache, no-store";
        }
    }

    location ^~/tool-tech-admin/ {
       proxy_pass http://124.223.108.21:8080/tool-tech-admin/;
       proxy_set_header Host $host;
       proxy_set_header X-Real-IP $remote_addr;
       proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
       proxy_ssl_verify off;
    }

    location ^~/tool-tech-file-view/ {
       proxy_pass http://124.223.108.21:8012/tool-tech-file-view/;
       proxy_set_header Host $host;
       proxy_set_header X-Real-IP $remote_addr;
       proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
       proxy_ssl_verify off;
    }

    location ^~/ebpm-process-manage/ {
       proxy_pass http://124.223.108.21:9080/ebpm-process-manage/;
       proxy_set_header Host $host;
       proxy_set_header X-Real-IP $remote_addr;
       proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
       proxy_ssl_verify off;
    }

    error_page   500 502 503 504  /50x.html;
    location = /50x.html {
        root   /usr/share/nginx/html;
    }

    error_page 405 =200 $uri;
}


